Skip to main content
`Ctrl`+`K`
scipy.linalg.

# expm_cond

scipy.linalg.expm_cond(A, check_finite=True)

  Relative condition number of the matrix exponential in the Frobenius norm.

  The documentation is written assuming array arguments are of specified “core” shapes. However, array argument(s) of this function may have additional “batch” dimensions prepended to the core shape. In this case, the array is treated as a batch of lower-dimensional slices; see Batched Linear Operations for details.

  Parameters:
    A 2-D array_like

      Square input matrix with shape (N, N).

    check_finite bool, optional

      Whether to check that the input matrix contains only finite numbers. Disabling may give a performance gain, but may result in problems (crashes, non-termination) if the inputs do contain infinities or NaNs.

  Returns:
    kappa float

      The relative condition number of the matrix exponential in the Frobenius norm

  See also

  `expm`

    Compute the exponential of a matrix.

  `expm_frechet`

    Compute the Frechet derivative of the matrix exponential.

  Notes

  A faster estimate for the condition number in the 1-norm has been published but is not yet implemented in SciPy.

  Added in version 0.14.0.

  Examples

      >>> import numpy as np
      >>> from scipy.linalg import expm_cond
      >>> A = np.array([[-0.3, 0.2, 0.6], [0.6, 0.3, -0.1], [-0.7, 1.2, 0.9]])
      >>> k = expm_cond(A)
      >>> k
      1.7787805864469866